Skip to content
Permalink
Branch: master
Commits on May 20, 2018
  1. [maven-release-plugin] prepare for next development iteration

    ikedam committed May 20, 2018
  2. Merge pull request #38 from ikedam/feature/JENKINS-50315_SwitchFilter…

    ikedam committed May 20, 2018
    …Mode
    
    [JENKINS-50315] [JENKINS-22316] Introduce `editableType`
Commits on Apr 29, 2018
  1. [JENKINS-50315] [JENKINS-22316] Introduce `editableType` to specify t…

    ikedam committed Apr 29, 2018
    …he filtering behavior in editable mode
Commits on Mar 17, 2018
  1. [maven-release-plugin] prepare for next development iteration

    ikedam committed Mar 17, 2018
  2. Merge pull request #37 from ikedam/feature/JENKINS-49210_NoSublist

    ikedam committed Mar 17, 2018
    [JENKINS-49210] [JENKINS-49017] Do not use RandomAccessSubList
Commits on Feb 25, 2018
  1. [FIXED JENKINS-49210] [JENKINS-49017] Do not use RandomAccessSubList

    ikedam committed Feb 25, 2018
    * As fix for JEP-200.
        * Unfortunately I have to continue to allow RandomAccessSubList for configurations save with 1.4.2-.
    * To simplify xml.
Commits on Feb 18, 2018
  1. Merge pull request #36 from ikedam/feature/JENKINS-22316_autocomplete…

    ikedam committed Feb 18, 2018
    …Dropdown
    
    [JENKINS-22316] Show candidates containing the input value
Commits on Feb 13, 2018
  1. Merge pull request #34 from ikedam/feature/TestWithJep200

    ikedam committed Feb 13, 2018
    Test with JEP-200
Commits on Feb 11, 2018
  1. [JENKINS-22316] Revert and update the comment explaining the behavior…

    ikedam committed Feb 11, 2018
    … for the incomplete input
    
    Also fixed an existing comment not to use Japanese text.
Commits on Jan 27, 2018
  1. [JENKINS-49017][JENKINS-49210] Add tests to reproduce issues with JEP…

    ikedam committed Jan 27, 2018
    …-200
  2. [JENKINS-49017][JENKINS-49210] Allow to run tests against latest cores

    ikedam committed Jan 27, 2018
    * This change allows us to run "mvn test -Djenkins.version=2.102 -Djava.level=8" to test compatibility with JEP-200
  3. [maven-release-plugin] prepare for next development iteration

    ikedam committed Jan 27, 2018
  4. Merge pull request #33 from oleg-nenashev/JENKINS-49017-jep-200

    ikedam committed Jan 27, 2018
    [JENKINS-49017] - Whitelist java.util.RandomAccessSublist to make the plugin compatible with Jenkins 2.102+
Commits on Nov 27, 2017
  1. Merge pull request #32 from phoenix384/patch-1

    ikedam committed Nov 27, 2017
    Corrected quotes of exception message
Commits on Sep 2, 2017
  1. Add Jenkinsfile to host CI on ci.jenkins.io

    ikedam committed Sep 2, 2017
Commits on Aug 27, 2017
  1. Merge pull request #31 from ikedam/feature/JENKINS-42903_SanitizeHtml

    ikedam committed Aug 27, 2017
    [JENKINS-42903] Sanitize names and descriptions
Commits on Aug 4, 2017
  1. [JENKINS-42903] Add tests to reproduce JENKINS-42903: HTML texts are …

    ikedam committed Aug 4, 2017
    …not properly escaped
    
    This results HTML texts are always escaped since Jenkins >= 2.32.2.
  2. Merge pull request #30 from ikedam/feature/FixFindBugFor1.580

    ikedam committed Aug 4, 2017
    Fix findbug issues for `Jenkins.getInstance()`
Commits on Jul 20, 2017
  1. Merge pull request #29 from albundy83/master

    ikedam committed Jul 20, 2017
    Just fix a small typo
Commits on Apr 10, 2017
Commits on Apr 1, 2017
  1. Merge remote-tracking branch 'remotes/security/feature/SECURITY-123_S…

    ikedam committed Apr 1, 2017
    …criptSecurity'
    
    # Conflicts:
    #	pom.xml
    #	src/main/java/jp/ikedam/jenkins/plugins/extensible_choice_parameter/SystemGroovyChoiceListProvider.java
  2. [SECURITY-123] Targets Jenkins 1.580.1

    ikedam committed Apr 1, 2017
    * script-security 1.18.1 (security fix) targets 1.580.1.
    * plugin-pom >= 2.0 and jenkins-test-harness >= 2.0 works with 1.580.
Commits on Mar 26, 2017
  1. [SECURITY-123] Target the current latest LTS and script-security

    ikedam committed Mar 26, 2017
    There were some problems developing with old Jenkins core:
    * Can't run with Java7 for JENKINS-18537. (requires >= 1.557 or 1.554.1)
    * doFillItems requires RelativePath in the latest Jenkins, but doesn't work with old Jenkins core. (requires >= 1.526)
    
    I decided to target to the current LTS to avoid any problems with old cores.
Commits on Mar 25, 2017
Commits on Mar 18, 2017
  1. [SECURITY-123] Fix problems pointed in review

    ikedam committed Mar 18, 2017
    * classpaths to `SecureGroovyScript` can be `null`.
    * project is now `Job` (was `AbstractProject`).
Commits on Jan 28, 2017
Older
You can’t perform that action at this time.